Bug 1198147 (CVE-2015-0837)

Summary: CVE-2015-0837 libgcrypt: last-level cache side-channel attack
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: acathrow, bcl, bmcclain, cfergeau, dblechte, erik-fedora, idith, lsurette, michal.skrivanek, rdieter, rh-spice-bugs, rjones, srevivo, tmraz, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libgcrypt 1.6.3, GnuPG 1.4.19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1198152, 1198153, 1198154, 1198156    
Bug Blocks: 1198150    

Description Vasyl Kaigorodov 2015-03-03 13:19:49 UTC
Libgcrypt version 1.6.3 [1] and GnuPG version 1.4.19 [2] fix a side-channel attack on data-dependent timing variations in modular exponentiation, which can potentially lead to an information leak.

[1]: https://lists.gnupg.org/pipermail/gnupg-announce/2015q1/000364.html
[2]: https://lists.gnupg.org/pipermail/gnupg-announce/2015q1/000363.html

Comment 1 Vasyl Kaigorodov 2015-03-03 13:24:44 UTC
Created gnupg tracking bugs for this issue:

Affects: fedora-all [bug 1198154]

Comment 2 Vasyl Kaigorodov 2015-03-03 13:24:47 UTC
Created libgcrypt tracking bugs for this issue:

Affects: fedora-all [bug 1198152]

Comment 3 Vasyl Kaigorodov 2015-03-03 13:24:50 UTC
Created mingw-libgcrypt tracking bugs for this issue:

Affects: fedora-all [bug 1198153]

Comment 4 Vasyl Kaigorodov 2015-03-03 13:25:30 UTC
Created mingw-libgcrypt tracking bugs for this issue:

Affects: epel-all [bug 1198156]

Comment 5 Fedora Update System 2015-03-06 06:58:06 UTC
gnupg-1.4.19-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-03-13 17:01:54 UTC
libgcrypt-1.6.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-13 17:12:54 UTC
gnupg-1.4.19-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-14 09:16:03 UTC
gnupg-1.4.19-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-18 10:23:50 UTC
libgcrypt-1.6.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Huzaifa S. Sidhpurwala 2020-05-07 03:29:15 UTC
Statement:

Red Hat Product Security has rated this issue as having low security impact, a future update may address this flaw in the libgcrypt and gnupg2 packages.

The attack leading to this flaw, is difficult to conduct in practice especially for cross-vm environments, mainly because the attacker needs to run their timing attack script at the exact same time decryption runs on the victim machine. Also this is essentially a chosen ciphertext attack because the attacker provides the ciphertext which the victim needs to be decrypt. Such actions only work when there is sufficient social engineer involved.